logger.h File Reference
`#include <iostream>`
Include dependency graph for logger.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | _SetLevel
class | Logger< _charT, _Traits >
class | Logger< _charT, _Traits >::LoggerState

## Macros

#define | define_logger_level_manipulator(LEVEL)

## Functions

_SetLevel | setlevel (std::string __l)
| Manipulator for `level`. More...
| define_logger_level_manipulator (EMERG)
| define_logger_level_manipulator (FATAL)
| define_logger_level_manipulator (ALERT)
| define_logger_level_manipulator (CRIT)
| define_logger_level_manipulator (ERROR)
| define_logger_level_manipulator (WARN)
| define_logger_level_manipulator (NOTICE)
| define_logger_level_manipulator (INFO)
| define_logger_level_manipulator (DEBUG)
| define_logger_level_manipulator (ALL)
template<typename _charT , typename _Traits >
const Logger< _charT, _Traits > & | endl (const Logger< _charT, _Traits > &lgr)

## Macro Definition Documentation

## define_logger_level_manipulator

#define define_logger_level_manipulator | ( |  | LEVEL | ) |

Value:
template <typename _charT, typename _Traits> \
inline const Logger<_charT, _Traits>& \
LEVEL (const Logger<_charT, _Traits>& lgr) \
{ \
lgr.setCurrentLevel(Logger<_charT, _Traits>::LEVEL); \
return lgr; \
}

Definition at line 254 of file logger.h.

## Function Documentation

## define_logger_level_manipulator() [1/10]

define_logger_level_manipulator | ( | ALERT |  | ) |

## define_logger_level_manipulator() [2/10]

define_logger_level_manipulator | ( | ALL |  | ) |

## define_logger_level_manipulator() [3/10]

define_logger_level_manipulator | ( | CRIT |  | ) |

## define_logger_level_manipulator() [4/10]

define_logger_level_manipulator | ( | DEBUG |  | ) |

## define_logger_level_manipulator() [5/10]

define_logger_level_manipulator | ( | EMERG |  | ) |

## define_logger_level_manipulator() [6/10]

define_logger_level_manipulator | ( | ERROR |  | ) |

## define_logger_level_manipulator() [7/10]

define_logger_level_manipulator | ( | FATAL |  | ) |

## define_logger_level_manipulator() [8/10]

define_logger_level_manipulator | ( | INFO |  | ) |

## define_logger_level_manipulator() [9/10]

define_logger_level_manipulator | ( | NOTICE |  | ) |

## define_logger_level_manipulator() [10/10]

define_logger_level_manipulator | ( | WARN |  | ) |

## endl()

template<typename _charT , typename _Traits >

const Logger<_charT, _Traits>& endl | ( | const Logger< _charT, _Traits > & | lgr | ) |

inline

Definition at line 277 of file logger.h.

References Logger< _charT, _Traits >::endl().

Referenced by ARPAPredictor::addBigram(), PredictorRegistry::addPredictor(), ARPAPredictor::addTrigram(), ARPAPredictor::addUnigram(), AbbreviationExpansionPredictor::cacheAbbreviationsExpansions(), SmoothedNgramPredictor::check_learn_consistency(), Selector::clearSuggestedWords(), ARPAPredictor::computeTrigramBackoff(), SmoothedNgramPredictor::count(), ARPAPredictor::createARPATable(), disclaimer(), Logger< char >::endl(), SqliteDatabaseConnector::executeSql(), DatabaseConnector::extractFirstInteger(), Simulator::find(), ProfileManager::flush_cached_log_messages(), DatabaseConnector::getNgramCount(), DatabaseConnector::getUnigramCountsSum(), DatabaseConnector::incrementNgramCount(), DejavuPredictor::init_memory_trigger(), DejavuPredictor::init_rolling_window(), DummyPredictor::learn(), DictionaryPredictor::learn(), DejavuPredictor::learn(), SmoothedNgramPredictor::learn(), ARPAPredictor::learn(), ContextTracker::learn(), ARPAPredictor::loadVocabulary(), main(), ForwardTokenizer::nextToken(), SqliteDatabaseConnector::openDatabase(), operator<<(), DictionaryPredictor::predict(), DejavuPredictor::predict(), AbbreviationExpansionPredictor::predict(), SmoothedNgramPredictor::predict(), RecencyPredictor::predict(), PredictorActivator::predict(), ARPAPredictor::predict(), Configuration::print(), print_prediction(), print_usage(), print_version(), printUsage(), printVersion(), PredictorRegistry::removePredictor(), PredictorRegistry::removePredictors(), Selector::repetitionFilter(), Simulator::results(), ProfileManager::save_profile(), Selector::select(), AbbreviationExpansionPredictor::set_abbreviations(), ARPAPredictor::set_arpa_filename(), ProfileManager::set_autopersist(), RecencyPredictor::set_cutoff_threshold(), SmoothedNgramPredictor::set_dbfilename(), SmoothedNgramPredictor::set_deltas(), DictionaryPredictor::set_dictionary(), Selector::set_greedy_suggestion_threshold(), RecencyPredictor::set_lambda(), SmoothedNgramPredictor::set_learn(), Selector::set_logger(), Predictor::set_logger(), ContextTracker::set_logger(), ContextTracker::set_lowercase_mode(), DejavuPredictor::set_memory(), RecencyPredictor::set_n_0(), ContextTracker::set_online_learning(), DictionaryPredictor::set_probability(), Selector::set_repeat_suggestions(), ContextTracker::set_sliding_window_size(), Selector::set_suggestions(), ARPAPredictor::set_timeout(), DejavuPredictor::set_trigger(), ARPAPredictor::set_vocab_filename(), PredictorActivator::setCombinationPolicy(), PredictorRegistry::setLogger(), PredictorActivator::setLogger(), PredictorActivator::setMaxPartialPredictionSize(), PredictorRegistry::setPredictors(), PredictorActivator::setPredictTime(), Selector::thresholdFilter(), Suggestion::toString(), PredictorRegistry::update(), DictionaryPredictor::update(), DejavuPredictor::update(), AbbreviationExpansionPredictor::update(), SmoothedNgramPredictor::update(), RecencyPredictor::update(), Selector::update(), ARPAPredictor::update(), PredictorActivator::update(), ContextTracker::update(), DejavuPredictor::update_rolling_window(), Selector::updateSuggestedWords(), usage(), and version().

Here is the call graph for this function:

## setlevel()

_SetLevel setlevel | ( | std::string | __l | ) |

inline

Manipulator for `level`.

Parameters

Definition at line 45 of file logger.h.

References _SetLevel::_level.

Referenced by ProfileManager::refresh_config(), Selector::set_logger(), Predictor::set_logger(), ContextTracker::set_logger(), PredictorRegistry::setLogger(), and PredictorActivator::setLogger().

Here is the caller graph for this function:
Logger::setCurrentLevel
void setCurrentLevel(Level lvl) const
Definition: logger.h:134
Logger
Definition: logger.h:55